
//  TulostaTiedosto.java  (c) Kari Laitinen

//  http://www.naturalprogramming.com

//  2006-03-06  File created.
//  2006-03-06  Last modification.

import java.io.* ;
import java.util.* ;

class TulostaTiedosto
{
   public static void main( String[] ei_kaytossa )
   {
      Scanner nappaimisto = new Scanner( System.in ) ;

      System.out.print( "\n Tama ohjelma tulostaa tekstitiedoston"
                     +  "\n sisallon ruudulle. Anna tiedoston nimi: " ) ;

      String  tiedoston_nimi_kayttajalta  =  nappaimisto.nextLine() ;

      try
      {
         BufferedReader tulostettava_tiedosto =
            new BufferedReader( new FileReader( tiedoston_nimi_kayttajalta ) );

         int rivilaskuri  =  0 ;
         boolean  tiedoston_loppu_kohdattu  =  false ;

         while ( tiedoston_loppu_kohdattu  ==  false )
         {
            String tekstirivi_tiedostosta  =  tulostettava_tiedosto.readLine() ;

            if ( tekstirivi_tiedostosta  ==  null )
            {
               tiedoston_loppu_kohdattu  =  true ;
            }
            else
            {
               System.out.print( tekstirivi_tiedostosta  +  "\n" ) ;
               rivilaskuri  ++  ;
            }
         }

         tulostettava_tiedosto.close() ;
         System.out.print( "\n  " + rivilaskuri + " rivia tulostettiin." ) ;
      }
      catch ( FileNotFoundException  vangittu_tiedostoa_ei_loydy_poikkeus )
      {
         System.out.print( "\n Tiedostoa \"" + tiedoston_nimi_kayttajalta
                        +  "\" ei loytynyt.\n" ) ;
      }
      catch ( IOException  vangittu_io_poikkeus )
      {
         System.out.print( "\n\n  Virhe tiedoston luvussa.  \n" ) ;
      }
   }
}


